what you don't know can hurt you

Ubuntu Security Notice USN-2671-1

Ubuntu Security Notice USN-2671-1
Posted Jul 9, 2015
Authored by Ubuntu | Site security.ubuntu.com

Ubuntu Security Notice 2671-1 - Eric Peterson and Lin Hua Cheng discovered that Django incorrectly handled session records. A remote attacker could use this issue to cause a denial of service. Sjoerd Job Postmus discovered that DJango incorrectly handled newline characters when performing validation. A remote attacker could use this issue to perform header injection attacks.

tags | advisory, remote, denial of service
systems | linux, ubuntu
advisories | CVE-2015-5143, CVE-2015-5144
MD5 | 5931838d51b0c83d38a62b9350883802

Ubuntu Security Notice USN-2671-1

Change Mirror Download
============================================================================
Ubuntu Security Notice USN-2671-1
July 09, 2015

python-django vulnerabilities
============================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 15.04
- Ubuntu 14.10
- Ubuntu 14.04 LTS
- Ubuntu 12.04 LTS

Summary:

Several security issues were fixed in Django.

Software Description:
- python-django: High-level Python web development framework

Details:

Eric Peterson and Lin Hua Cheng discovered that Django incorrectly handled
session records. A remote attacker could use this issue to cause a denial
of service. (CVE-2015-5143)

Sjoerd Job Postmus discovered that DJango incorrectly handled newline
characters when performing validation. A remote attacker could use this
issue to perform header injection attacks. (CVE-2015-5144)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 15.04:
python-django 1.7.6-1ubuntu2.1
python3-django 1.7.6-1ubuntu2.1

Ubuntu 14.10:
python-django 1.6.6-1ubuntu2.3
python3-django 1.6.6-1ubuntu2.3

Ubuntu 14.04 LTS:
python-django 1.6.1-2ubuntu0.9

Ubuntu 12.04 LTS:
python-django 1.3.1-4ubuntu1.17

In general, a standard system update will make all the necessary changes.

References:
http://www.ubuntu.com/usn/usn-2671-1
CVE-2015-5143, CVE-2015-5144

Package Information:
https://launchpad.net/ubuntu/+source/python-django/1.7.6-1ubuntu2.1
https://launchpad.net/ubuntu/+source/python-django/1.6.6-1ubuntu2.3
https://launchpad.net/ubuntu/+source/python-django/1.6.1-2ubuntu0.9
https://launchpad.net/ubuntu/+source/python-django/1.3.1-4ubuntu1.17

Comments

RSS Feed Subscribe to this comment feed

No comments yet, be the first!

Login or Register to post a comment

File Archive:

January 2019

  • Su
  • Mo
  • Tu
  • We
  • Th
  • Fr
  • Sa
  • 1
    Jan 1st
    15 Files
  • 2
    Jan 2nd
    15 Files
  • 3
    Jan 3rd
    11 Files
  • 4
    Jan 4th
    1 Files
  • 5
    Jan 5th
    2 Files
  • 6
    Jan 6th
    5 Files
  • 7
    Jan 7th
    24 Files
  • 8
    Jan 8th
    15 Files
  • 9
    Jan 9th
    16 Files
  • 10
    Jan 10th
    23 Files
  • 11
    Jan 11th
    17 Files
  • 12
    Jan 12th
    3 Files
  • 13
    Jan 13th
    2 Files
  • 14
    Jan 14th
    18 Files
  • 15
    Jan 15th
    33 Files
  • 16
    Jan 16th
    23 Files
  • 17
    Jan 17th
    29 Files
  • 18
    Jan 18th
    15 Files
  • 19
    Jan 19th
    0 Files
  • 20
    Jan 20th
    0 Files
  • 21
    Jan 21st
    0 Files
  • 22
    Jan 22nd
    0 Files
  • 23
    Jan 23rd
    0 Files
  • 24
    Jan 24th
    0 Files
  • 25
    Jan 25th
    0 Files
  • 26
    Jan 26th
    0 Files
  • 27
    Jan 27th
    0 Files
  • 28
    Jan 28th
    0 Files
  • 29
    Jan 29th
    0 Files
  • 30
    Jan 30th
    0 Files
  • 31
    Jan 31st
    0 Files

Top Authors In Last 30 Days

File Tags

Systems

packet storm

© 2019 Packet Storm. All rights reserved.

Services
Security Services
Hosting By
Rokasec
close